# Created by newuser for 5.9

# Binds
bindkey '^H' backward-kill-word
bindkey '5~' kill-word
bindkey "^[[1;5C" forward-word
bindkey "^[[1;5D" backward-word
bindkey -s '^O' 'cd ..\n'

# Vars
export GOPATH=$HOME/.local/go
export PATH=$PATH:$GOPATH/bin
export PATH=$PATH:$HOME/.local/bin
export EDITOR=nvim

# History
HISTFILE=~/.zsh_history
HISTSIZE=999999999
SAVEHIST=$HISTSIZE

source ${ZDOTDIR:-~}/.antidote/antidote.zsh
antidote load

eval "$(starship init zsh)"
